﻿/*
Thor Server 2.0 Project - Codenamed "Stockholm"
Copyright 2008 - 2009 Joe Hegarty


This file is part of The Thor Server 2.0 Project - Codenamed "Stockholm".

The Thor Server 2.0 Project - Codenamed "Stockholm" is free software: you can 
redistribute it and/or modify it under the terms of the Microsoft Public License

The Thor Server Project is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
Microsoft Public License for more details.

You should have received a copy of the Microsoft Public License
along with The Thor Server Project.  If not, see 
http://www.opensource.org/licenses/ms-pl.html
*/

using System;
using System.Linq;

using StockholmLibrary.Data;

namespace StockholmLibrary.Game.Util
{
    //------------------------------------
    public class UserTools
    {
        //**********************************************
        public bool UserExists(string username)
        {
            var query = from p in Stockholm.Get().Database.Users where p.Username == username select p.UserID;
            return (query.Count() > 0);
        }

        //**********************************************
        public bool UserExists(int userID)
        {
            var query = from p in Stockholm.Get().Database.Users where p.UserID == userID select p.UserID;
            return (query.Count() > 0);
        }
    }
}
